[jboss-cvs] JBossAS SVN: r71029 - branches/JBPAPP_4_2_0_GA_CP/server/src/bin.
jboss-cvs-commits at lists.jboss.org
jboss-cvs-commits at lists.jboss.org
Wed Mar 19 17:58:46 EDT 2008
Author: dbhole
Date: 2008-03-19 17:58:46 -0400 (Wed, 19 Mar 2008)
New Revision: 71029
Modified:
branches/JBPAPP_4_2_0_GA_CP/server/src/bin/jboss_init_redhat.sh
branches/JBPAPP_4_2_0_GA_CP/server/src/bin/jboss_init_suse.sh
Log:
Resolve JBPAPP-539, SOA-226:
- Minor cosmetic changes
- Remove code that kill -9'd the server. Instead, after 120 seconds of waiting,
the user is notified that the server is still running.
Modified: branches/JBPAPP_4_2_0_GA_CP/server/src/bin/jboss_init_redhat.sh
===================================================================
--- branches/JBPAPP_4_2_0_GA_CP/server/src/bin/jboss_init_redhat.sh 2008-03-19 21:57:19 UTC (rev 71028)
+++ branches/JBPAPP_4_2_0_GA_CP/server/src/bin/jboss_init_redhat.sh 2008-03-19 21:58:46 UTC (rev 71029)
@@ -117,16 +117,11 @@
procrunning
if [ $RETVAL != 0 ] ; then
- for id in `ps axo pid,ppid|grep $pid|cut -d" " -f1,2`; do
- if [ -z "$SUBIT" ]; then
- kill -9 $id
- else
- $SUBIT "kill -9 $id"
- fi
- done
- RETVAL=0
+ echo -e "\nTimeout: Shutdown command was sent, but process is still running with PID $pid"
+ exit 1
fi
+ echo
exit 0
}
Modified: branches/JBPAPP_4_2_0_GA_CP/server/src/bin/jboss_init_suse.sh
===================================================================
--- branches/JBPAPP_4_2_0_GA_CP/server/src/bin/jboss_init_suse.sh 2008-03-19 21:57:19 UTC (rev 71028)
+++ branches/JBPAPP_4_2_0_GA_CP/server/src/bin/jboss_init_suse.sh 2008-03-19 21:58:46 UTC (rev 71029)
@@ -142,16 +142,11 @@
procrunning
if [ $RETVAL != 0 ] ; then
- for id in `ps axo pid,ppid|grep $pid|cut -d" " -f1,2`; do
- if [ -z "$SUBIT" ]; then
- kill -9 $id
- else
- $SUBIT "kill -9 $id"
- fi
- done
- RETVAL=0
+ echo -e "\nTimeout: Shutdown command was sent, but process is still running with PID $pid"
+ exit 1
fi
+ echo
exit 0
}
More information about the jboss-cvs-commits
mailing list